RU
10.02.2020

Vulnerabilități multiple în Cisco DCNM

Cisco a dezvăluit o multiple bug-uri care afectează software-ul Data Center Network Manager (DCNM), inclusiv trei bug-uri critice de autentificare-ocolire care expun clienții întreprinderilor la atacuri la distanță.
Aceste vulnerabilități permit unui atacator să ocolească mecanismele de autentificare, să injecteze comenzi SQL, traversarea directoarelor, să obțină acces neautorizat și să citească date sensibile din sistemul afectat.
INFO: DCNM este sistemul de management pentru Cisco's Unified Fabric.

Bypass de autentificare DCNM - CVE-2019-15975, CVE-2019-15976, CVE-2019-15977
Vulnerabilități multiple în Cisco DCNM ar putea permite unui atacator la distanță neautentificat să ocolească mecanismele de autentificare și să execute acțiuni arbitrare pe un dispozitiv afectat. Defectele există în punctele finale ale API-ului REST (CVE-2019-15975) și ale API-urilor SOAP (CVE-2019-15976) din cauza unei chei de criptare statice care este împărțită între sisteme. Un atacator care utilizează cheia statică pentru crearea unui jeton de sesiune valid ar putea efectua acțiuni arbitrare prin API REST și SOAP cu privilegii de administrare în interfața de gestionare bazată pe web, datorită prezenței credențealelor statice.

CVE-2019-15977 este un defect în interfața de administrare bazată pe Web a Cisco DCNM, datorită prezenței certificatelor statice. Un atacator care exploatează eroarea folosind credențiale statice pentru a se autentifica împotriva interfeței de utilizator, ar putea avea acces la anumite secțiuni ale interfeței web și obține informații confidențiale.

DCNM SQL Inject - CVE-2019-15984, CVE-2019-15985
Există multiple vulnerabilități în punctele finale REST și SOAP API ale Cisco DCNM ce permit unui atacator de la distanță autentificat să execute comenzi SQL arbitrare. Aceste defecte există din cauza validării insuficiente a intrării furnizate de utilizator către API. Un atacator neautorizat care trimite o solicitare elaborată către API poate vizualiza informații sensibile, face modificări în sistem sau poate executa comenzi în cadrul sistemului de operare de bază care afectează disponibilitatea dispozitivului.

DCNM Path traversal - CVE-2019-15980, CVE-2019-15981, CVE-2019-15982
Există mai multe vulnerabilități în punctele finale REST și SOAP API ale Cisco DCNM ce permit unui atacator de la distanță autentificat să efectueze atacuri de traversare a directoriului pe un dispozitiv afectat. Aceste defecte există din cauza validării insuficiente a intrării furnizate de utilizator către API. Un atacator care trimite cerere elaborată către API ar putea citi, scrie sau executa fișiere arbitrare din sistem cu privilegii administrative complete.

Injecție de comandă DCNM - CVE-2019-15978, CVE-2019-15979
Există mai multe vulnerabilități în punctele finale REST și SOAP API ale Cisco DCNM ce permit unui atacator la distanță autentificat cu privilegii de administrare să injecteze comenzi arbitrare pe sistemul de operare de bază. Aceste defecte există din cauza validării insuficiente a intrării furnizate de utilizator către API. Un atacator care trimite cerere elaborată către API ar putea executa fișiere arbitrare în sistem cu privilegii administrative complete.

Entitatea externă DCNM XML - CVE-2019-15983
O vulnerabilitate în API-ul SOAP al Cisco DCNM ce permite unui atacator autentificat, de la distanță, să obțină acces la citire la informațiile stocate pe un sistem afectat. Defectul există din cauza manipulării necorespunzătoare a intrărilor XML External Entity (XXE) din API-ul SOAP atunci când analizează anumite fișiere XML. Un atacator care introduce conținut XML rău intenționat într-o cerere API ar putea citi fișiere arbitrare de pe dispozitiv.

Acces neautentificat DCNM - CVE-2019-15999
O vulnerabilitate în mediul de aplicație al Cisco DCNM ar putea permite unui atacator la distanță autentificat să obțină acces neautorizat la JBoss Enterprise Application Platform (JBoss EAP). Defectul există din cauza configurației incorecte a setărilor de autentificare pe JBoss EAP.

Sistemul potențial afectat:
•    Manager Cisco Data Center Network (DCNM) înainte de 11.3 (1)

Orange Moldova CERT recomandă actualizarea Cisco DCNM la cea mai recentă versiune furnizată de Cisco.


Buletin informativ

Primeşte ştiri de top direct pe email